package com.ematou.wxservice.common.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author lhm
 * @version 1.0
 * 2021-04-30 15:23
 */
public class DateUtil {

    /**
     * 时间类型转字符串
     * @param date 时间类型
     * @return 时间字符串
     */
    public static String formatDate(Date date){

        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        return sdf.format(date);

    }

    /**
     * 将时间字符串转为时间类型
     * @param str 时间字符串
     * @return 时间类型
     */
    public static Date parseString(String str) throws ParseException {

        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

        return sdf.parse(str);

    }

}
